extends Scene


func _on_enchanted_island_beach_interacted() -> void:
	$kq4_033_enchanted_island_beach.default_script(self)


func _on_island_beach_interacted() -> void:
	$kq4_039_island_beach.default_script(self)


func _on_fairy_island_interacted() -> void:
	$kq4_037_fairy_island.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You are standing in the lovely garden of this enchanted island. Beside you, rises a grand ivory palace. Within this garden, a bridge, emblazoned with the figures of swans, arches over a little pond. A beautiful white swan floats serenely upon it.")
	).build(self, "_on_script_complete"))


func _on_pond_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("A tranquil pond with lily pads and a graceful swan swimming lazily.")
	).build(self, "_on_script_complete"))
